<?php 
  
$account = DB::GET_STRING("SELECT * FROM `USERS` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1");

IF (!$account['ID']){
  
  ERROR('Такого пользователя не существует', 'session');
  REDIRECT('/modules/?path=videos');

}

IF (GET('dir') && DB::GET_COLUMN("SELECT COUNT(*) FROM `VIDEOS_DIR` WHERE `ID` = '".INTVAL(GET('dir'))."' AND `USER_ID` = '".$account['ID']."' LIMIT 1") == 1){
  
  $dir = DB::GET_STRING("SELECT * FROM `VIDEOS_DIR` WHERE `USER_ID` = '".$account['ID']."' AND `ID` = '".INTVAL(GET('dir'))."' LIMIT 1");
  
  $id_dir = INTVAL(GET('dir'));
  $nav = "<a href='/modules/?path=videos&section=users&id=".$account['ID']."'>".LG('Видео')."</a>".ICONS('angle-right', 20, 'fa-fw')."".TEXT_ABSOLUTE($dir['NAME'])."";
  $pr3 = $dir['PRIVATE'];

}ELSE{
  
  $id_dir = 0;
  $nav = "".LG('Видео')."";
  $pr3 = 0;

}

/*
----------------------
Редактирование альбома
----------------------
*/

IF (GET('get') == "edit_dir" && $id_dir > 0 && $pr3 != 3){
  
  IF ($account['ID'] == $user['ID'] || MANAGEMENT == 1 || ACCESS('videos_dir_edit', NULL, 1)){
    
    REQUIRE (ROOT.'/modules/videos/plugins/edit_dir.php');
    
  }
  
}

/*
----------------
Удаление альбома
----------------
*/

IF (GET('get') == "delete_dir_ok" && $id_dir > 0 && $pr3 != 3){ 
  
  IF ($account['ID'] == $user['ID'] || ACCESS('videos_dir_delete', NULL, 1) || MANAGEMENT == 1){
    
    REQUIRE (ROOT.'/modules/videos/plugins/delete_dir.php');
    
  }
  
}

/*
------------------
Добавление альбома
------------------
*/

IF (GET('get') == "add_dir" && $account['ID'] == $user['ID'] && $pr3 != 3){
  
  REQUIRE (ROOT.'/modules/videos/plugins/add_dir.php');
  
}

/*
----------------
Добавление видео
----------------
*/

IF ($account['ID'] == $user['ID']){
  
  REQUIRE (ROOT.'/modules/videos/plugins/add_video.php');
  
}

/*
---------------
Список альбомов
---------------
*/
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO $nav;
ECHO "</div>";

IF ($id_dir > 0){
  
  IF (MANAGEMENT == 0){
    
    IF (ACCESS('videos_private_show', NULL, 1) == FALSE){
      
      REQUIRE (ROOT.'/modules/videos/plugins/private_dir.php');
      
    }
  
  }
  
}

IF (GET('get') == "delete_dir" && $id_dir > 0 && $pr3 != 3){ 
  
  IF ($account['ID'] == $user['ID'] || ACCESS('videos_dir_delete', NULL, 1) || MANAGEMENT == 1){
    
    ECHO "<div class='list'>";
    ECHO "".LG('Вы действительно хотите удалить альбом')." <b>".TEXT_ABSOLUTE($dir['NAME'])."</b>?<br /><br />";
    
    ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&get=delete_dir_ok&dir=".$id_dir."' class='btn'>".ICONS('trash', 15, 'fa-fw')."".LG('Удалить')."</a>";
    ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&dir=".$id_dir."' class='btn-o'>".LG('Отменить')."</a>";
    
    ECHO "</div>";
  
  }
  
}

IF ($account['ID'] == $user['ID']){
  
  ECHO "<div class='list'>";
  
  IF ($pr3 != 3){
    
    ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&get=add_dir&dir=".$id_dir."' class='btn'>".ICONS('plus', 15, 'fa-fw')."".LG('Создать альбом')."</a>";
    
  }
  
  ?><a id="upload-video" action="/system/AJAX/php/video.php?dir=<?=$id_dir?>" class="btn" onclick="modal_open('#add_video')" load="none"><?=ICONS('film', 14, 'fa-fw')?> <?=LG('Добавить видео')?></a><?
    
  IF ($id_dir > 0 && $pr3 != 3){
    
    ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&get=edit_dir&dir=".$id_dir."' class='btn'>".ICONS('pencil', 15, 'fa-fw')."".LG('Редактировать альбом')."</a>"; 
    
    ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&get=delete_dir&dir=".$id_dir."' class='btn'>".ICONS('trash', 15, 'fa-fw')."".LG('Удалить альбом')."</a>";
    
  }
  
  ECHO "</div>";
  
}ELSE{
  
  IF ($id_dir > 0 && $pr3 != 3){
    
    IF (ACCESS('videos_dir_edit', NULL, 1) || MANAGEMENT == 1 || ACCESS('videos_dir_delete', NULL, 1)){
      
      ECHO "<div class='list'>";
      
      IF (ACCESS('videos_dir_edit', NULL, 1) || MANAGEMENT == 1){
        
        ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&get=edit_dir&dir=".$id_dir."' class='btn'>".ICONS('pencil', 15, 'fa-fw')."".LG('Редактировать альбом')."</a>"; 
      
      }
      
      IF (ACCESS('videos_dir_delete', NULL, 1) || MANAGEMENT == 1){
        
        ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&get=delete_dir&dir=".$id_dir."' class='btn'>".ICONS('trash', 15, 'fa-fw')."".LG('Удалить альбом')."</a>";
      
      }
      
      ECHO "</div>";
    
    }
  
  }
  
}

ECHO "<div id='video_upgrade'>";

$array = ARRAY();

$data = DB::GET_STRING_ALL("SELECT * FROM `VIDEOS_DIR` WHERE `USER_ID` = '".$account['ID']."' AND `ID_DIR` = '".$id_dir."' ORDER BY `ID` DESC");
WHILE ($list = $data->FETCH())
{

  $array[] = ARRAY('dir' => 1, 'list' => $list);

}

$data = DB::GET_STRING_ALL("SELECT * FROM `VIDEOS` WHERE `USER_ID` = '".$account['ID']."' AND `ID_DIR` = '".$id_dir."' ORDER BY `TIME` DESC");
WHILE ($list = $data->FETCH())
{

  $array[] = ARRAY('dir' => 0, 'list' => $list);

}

$column = SIZEOF($array);
$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;

IF ($column == 0){ 
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>"; 
  ECHO "<ul class='files-body'>";
  
}

FOR ($i = $limit; $i < $column && $i < $page_settings * $page; $i++){
  
  $list = $array[$i]['list'];
  
  IF ($array[$i]['dir'] == 1) {
    
    /*
    -------
    Альбомы
    -------
    */
    
    $count = DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `VIDEOS` WHERE `ID_DIR` = '".$list['ID']."' AND `USER_ID` = '".$account['ID']."' LIMIT 1");
    
    ECHO "<li class='files-wrapper'><a href='/modules/?path=videos&section=users&id=".$account['ID']."&dir=".$list['ID']."' class='__files'>";
    
    ECHO "<div class='files-folder'>";
    ECHO "<font color='#CEC66A'>".ICONS('folder', 75, 'fa-fw')."</font>";
    
    IF ($count == 0 && $list['PRIVATE'] == 0){
      
      ECHO "<br /><small><b>".LG('Нет видео')."</b></small>";       
    
    }ELSEIF (STR($list['PASSWORD']) > 0 && $list['PRIVATE'] == 4){
      
      ECHO "<div class='files-folder-status'>".ICONS('key', 20, 'fa-fw')."</div>";
      
      ECHO "<br /><small><b>".LG('По паролю')."</b></small>";
    
    }ELSEIF ($list['PRIVATE'] == 1){
      
      ECHO "<div class='files-folder-status'>".ICONS('users', 20, 'fa-fw')."</div>";
      
      ECHO "<br /><small><b>".LG('Для друзей')."</b></small>";
    
    }ELSEIF ($list['PRIVATE'] == 2){
      
      ECHO "<div class='files-folder-status'>".ICONS('lock', 20, 'fa-fw')."</div>";
      
      ECHO "<br /><small><b>".LG('Для')." ".$account['LOGIN']."</b></small>";
    
    }ELSEIF ($list['PRIVATE'] == 3){
      
      ECHO "<div class='files-folder-status'>".ICONS('lock', 20, 'fa-fw')."</div>";
      
      ECHO "<br /><small><b>".LG('Закрытый')."</b></small>";
    
    }
    
    ECHO "</div>";
    
    ECHO "<span class='photos-or-dir'>".ICONS('folder', 13, 'fa-fw')." ".$count." ".LG('видео')."</span>";
    
    ECHO "<span class='photos-or-dir-text'>".CROP_TEXT(TEXT_ABSOLUTE($list['NAME']), 0, 14)."</span>";
    
    ECHO "</a></li>";
  
  }ELSE{
    
    /*
    -----
    Видео
    -----
    */
    
    ECHO "<li class='files-wrapper'><a href='/modules/?path=videos&section=show&video_id=".$list['ID']."' class='__files'>";
    
    IF (IS_FILE(ROOT.'/files/upload/videos/screen/'.$list['ID'].'.jpg') && CONFIG('VIDEO_SCREEN') == 1){
      
      ECHO "<img src='/files/upload/videos/screen/240x240/".$list['ID'].".jpg' style='max-width: 100%; position: absolute;'>";
    
    }ELSE{
      
      ECHO "<img src='/files/upload/videos/screen/no_video.jpg' style='max-width: 100%; position: absolute;'>";
    
    }
    
    ECHO "<span class='files-or-dir'>".ICONS('film', 12, 'fa-fw')." ".$list['EXT']."</span>";
    
    ECHO "<span class='files-like_'><small>".$list['DURATION']."</small></span>";
    
    ECHO "<span class='files-or-dir-text'>".CROP_TEXT(TEXT_ABSOLUTE($list['NAME']), 0, 14)."</span>";
    
    ECHO "</a></li>";
    
  }

}

IF ($column > 0){
  
  ECHO "</ul>";
  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=videos&section=users&id='.$account['ID'].'&dir='.$id_dir.'&', $spage, $page); }

ECHO "</div>";

IF ($id_dir == 0){
  
  ECHO "<div class='list'>";
  ECHO "<a href='/modules/?path=videos'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('К альбомам')."</a>";
  ECHO "</div>";
  
}ELSE{
  
  ECHO "<div class='list'>";
  ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Вернуться в начало')."</a>";
  ECHO "</div>";

}

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO $nav;
ECHO "</div>"; 
  
?>